com.genesyslab.wfm7.API.service.schedule720

## Class SchAuditTransaction

- java.lang.Object
- - com.genesyslab.wfm7.API.service.schedule720.SchAuditTransaction

- All Implemented Interfaces:
    java.io.Serializable

      public class SchAuditTransaction
      extends java.lang.Object
      implements java.io.Serializable

  Schedule Audit Transaction record
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private SchAuditDay[]` | `agentDays` A list of agent days `SchAuditDay` that have been modified during transaction.
    `private int` | `agentDaysNSizeIs` Number of elements in "agentDays" array.
    `private int` | `gswUserId` An ID of user that is responsible for this transaction.
    `private int` | `wmAction` `ESchActionType`
    `private double` | `wmEndDate` End date of transaction range `OleDateTime`
    `private long` | `wmRollbackAuditId` An ID of audit record used to rollback to.
    `private long` | `wmSchAuditId` Schedule Audit Transaction ID
    `private int` | `wmSrcScenarioId` An ID of source scenario if transaction was "publish" transaction.
    `private double` | `wmStartDate` Start date of transaction range `OleDateTime`
    `private double` | `wmTimestamp` Date/time of transaction in GMT time zone `OleDateTime`
    `private int` | `wmTradeId` An ID of trade record if transaction was "trade"

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchAuditTransaction()`
    `SchAuditTransaction(long wmSchAuditId, int gswUserId, int wmAction, double wmStartDate, double wmEndDate, double wmTimestamp, int wmSrcScenarioId, int wmTradeId, long wmRollbackAuditId, int agentDaysNSizeIs, SchAuditDay[] agentDays)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SchAuditDay[]` | `getAgentDays()` Gets the agentDays value for this SchAuditTransaction.
    `int` | `getAgentDaysNSizeIs()` Gets the agentDaysNSizeIs value for this SchAuditTransaction.
    `int` | `getGswUserId()` Gets the gswUserId value for this SchAuditTransaction.
    `int` | `getWmAction()` Gets the wmAction value for this SchAuditTransaction.
    `double` | `getWmEndDate()` Gets the wmEndDate value for this SchAuditTransaction.
    `long` | `getWmRollbackAuditId()` Gets the wmRollbackAuditId value for this SchAuditTransaction.
    `long` | `getWmSchAuditId()` Gets the wmSchAuditId value for this SchAuditTransaction.
    `int` | `getWmSrcScenarioId()` Gets the wmSrcScenarioId value for this SchAuditTransaction.
    `double` | `getWmStartDate()` Gets the wmStartDate value for this SchAuditTransaction.
    `double` | `getWmTimestamp()` Gets the wmTimestamp value for this SchAuditTransaction.
    `int` | `getWmTradeId()` Gets the wmTradeId value for this SchAuditTransaction.
    `void` | `setAgentDays(SchAuditDay[] agentDays)` Sets the agentDays value for this SchAuditTransaction.
    `void` | `setAgentDaysNSizeIs(int agentDaysNSizeIs)` Sets the agentDaysNSizeIs value for this SchAuditTransaction.
    `void` | `setGswUserId(int gswUserId)` Sets the gswUserId value for this SchAuditTransaction.
    `void` | `setWmAction(int wmAction)` Sets the wmAction value for this SchAuditTransaction.
    `void` | `setWmEndDate(double wmEndDate)` Sets the wmEndDate value for this SchAuditTransaction.
    `void` | `setWmRollbackAuditId(long wmRollbackAuditId)` Sets the wmRollbackAuditId value for this SchAuditTransaction.
    `void` | `setWmSchAuditId(long wmSchAuditId)` Sets the wmSchAuditId value for this SchAuditTransaction.
    `void` | `setWmSrcScenarioId(int wmSrcScenarioId)` Sets the wmSrcScenarioId value for this SchAuditTransaction.
    `void` | `setWmStartDate(double wmStartDate)` Sets the wmStartDate value for this SchAuditTransaction.
    `void` | `setWmTimestamp(double wmTimestamp)` Sets the wmTimestamp value for this SchAuditTransaction.
    `void` | `setWmTradeId(int wmTradeId)` Sets the wmTradeId value for this SchAuditTransaction.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmSchAuditId

          private long wmSchAuditId

      Schedule Audit Transaction ID

    - #### gswUserId

          private int gswUserId

      An ID of user that is responsible for this transaction. Can be zero meaning "system".

    - #### wmAction

          private int wmAction

      `ESchActionType`

    - #### wmStartDate

          private double wmStartDate

      Start date of transaction range `OleDateTime`

    - #### wmEndDate

          private double wmEndDate

      End date of transaction range `OleDateTime`

    - #### wmTimestamp

          private double wmTimestamp

      Date/time of transaction in GMT time zone `OleDateTime`

    - #### wmSrcScenarioId

          private int wmSrcScenarioId

      An ID of source scenario if transaction was "publish" transaction.

    - #### wmTradeId

          private int wmTradeId

      An ID of trade record if transaction was "trade"

    - #### wmRollbackAuditId

          private long wmRollbackAuditId

      An ID of audit record used to rollback to.

    - #### agentDaysNSizeIs

          private int agentDaysNSizeIs

      Number of elements in "agentDays" array.

    - #### agentDays

          private SchAuditDay[] agentDays

      A list of agent days `SchAuditDay` that have been modified during transaction. It identifies all schedule agent days that have changed. Schedule details for those days can be found in SchAuditLog.schedules member and are uniquely identified by combination of SchAuditDay.gswAgentID + SchAuditDay.wmDate + SchAuditDay.newTimestamp (or SchAuditDay.oldTimestamp).

  - ### Constructor Detail

    - #### SchAuditTransaction

          public SchAuditTransaction()

    - #### SchAuditTransaction

          public SchAuditTransaction(long wmSchAuditId,
                             int gswUserId,
                             int wmAction,
                             double wmStartDate,
                             double wmEndDate,
                             double wmTimestamp,
                             int wmSrcScenarioId,
                             int wmTradeId,
                             long wmRollbackAuditId,
                             int agentDaysNSizeIs,
                             SchAuditDay[] agentDays)

  - ### Method Detail

    - #### getWmSchAuditId

          public long getWmSchAuditId()

      Gets the wmSchAuditId value for this SchAuditTransaction.
      Returns:
        wmSchAuditId

    - #### setWmSchAuditId

          public void setWmSchAuditId(long wmSchAuditId)

      Sets the wmSchAuditId value for this SchAuditTransaction.
      Parameters:
        `wmSchAuditId` -

    - #### getGswUserId

          public int getGswUserId()

      Gets the gswUserId value for this SchAuditTransaction.
      Returns:
        gswUserId

    - #### setGswUserId

          public void setGswUserId(int gswUserId)

      Sets the gswUserId value for this SchAuditTransaction.
      Parameters:
        `gswUserId` -

    - #### getWmAction

          public int getWmAction()

      Gets the wmAction value for this SchAuditTransaction.
      Returns:
        wmAction

    - #### setWmAction

          public void setWmAction(int wmAction)

      Sets the wmAction value for this SchAuditTransaction.
      Parameters:
        `wmAction` -

    - #### getWmStartDate

          public double getWmStartDate()

      Gets the wmStartDate value for this SchAuditTransaction.
      Returns:
        wmStartDate

    - #### setWmStartDate

          public void setWmStartDate(double wmStartDate)

      Sets the wmStartDate value for this SchAuditTransaction.
      Parameters:
        `wmStartDate` -

    - #### getWmEndDate

          public double getWmEndDate()

      Gets the wmEndDate value for this SchAuditTransaction.
      Returns:
        wmEndDate

    - #### setWmEndDate

          public void setWmEndDate(double wmEndDate)

      Sets the wmEndDate value for this SchAuditTransaction.
      Parameters:
        `wmEndDate` -

    - #### getWmTimestamp

          public double getWmTimestamp()

      Gets the wmTimestamp value for this SchAuditTransaction.
      Returns:
        wmTimestamp

    - #### setWmTimestamp

          public void setWmTimestamp(double wmTimestamp)

      Sets the wmTimestamp value for this SchAuditTransaction.
      Parameters:
        `wmTimestamp` -

    - #### getWmSrcScenarioId

          public int getWmSrcScenarioId()

      Gets the wmSrcScenarioId value for this SchAuditTransaction.
      Returns:
        wmSrcScenarioId

    - #### setWmSrcScenarioId

          public void setWmSrcScenarioId(int wmSrcScenarioId)

      Sets the wmSrcScenarioId value for this SchAuditTransaction.
      Parameters:
        `wmSrcScenarioId` -

    - #### getWmTradeId

          public int getWmTradeId()

      Gets the wmTradeId value for this SchAuditTransaction.
      Returns:
        wmTradeId

    - #### setWmTradeId

          public void setWmTradeId(int wmTradeId)

      Sets the wmTradeId value for this SchAuditTransaction.
      Parameters:
        `wmTradeId` -

    - #### getWmRollbackAuditId

          public long getWmRollbackAuditId()

      Gets the wmRollbackAuditId value for this SchAuditTransaction.
      Returns:
        wmRollbackAuditId

    - #### setWmRollbackAuditId

          public void setWmRollbackAuditId(long wmRollbackAuditId)

      Sets the wmRollbackAuditId value for this SchAuditTransaction.
      Parameters:
        `wmRollbackAuditId` -

    - #### getAgentDaysNSizeIs

          public int getAgentDaysNSizeIs()

      Gets the agentDaysNSizeIs value for this SchAuditTransaction.
      Returns:
        agentDaysNSizeIs

    - #### setAgentDaysNSizeIs

          public void setAgentDaysNSizeIs(int agentDaysNSizeIs)

      Sets the agentDaysNSizeIs value for this SchAuditTransaction.
      Parameters:
        `agentDaysNSizeIs` -

    - #### getAgentDays

          public SchAuditDay[] getAgentDays()

      Gets the agentDays value for this SchAuditTransaction.
      Returns:
        agentDays

    - #### setAgentDays

          public void setAgentDays(SchAuditDay[] agentDays)

      Sets the agentDays value for this SchAuditTransaction.
      Parameters:
        `agentDays` -

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.